Name:           miriway
Version:        24.09
Release:        2%{?dist}
Summary:        Simple Wayland compositor built on Mir

License:        GPL-3.0-only
URL:            https://miriway.github.io/
Source0:        https://github.com/Miriway/Miriway/archive/v%{version}/Miriway-%{version}.tar.gz

# Add miriway-run for initial-setup
Patch0:         https://github.com/Miriway/Miriway/pull/117.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  git-core
BuildRequires:  ninja-build
BuildRequires:  pkgconfig(miral) >= 5.1
BuildRequires:  pkgconfig(xkbcommon)

%description
Miriway is a starting point for creating a Wayland based
desktop environment using Mir.


%prep
%autosetup -n Miriway-%{version} -S git_am

# Drop -Werror
sed -e "s/-Werror//g" -i CMakeLists.txt


%build
# Deal with some goofiness around sysconfdir
%cmake -GNinja -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir}
%cmake_build


%install
%cmake_install

# Remove miriway-unsnap as it's kind of pointless
rm -f %{buildroot}%{_bindir}/%{name}-{unconfine,unsnap}


%files
%doc README.md CONFIGURING_MIRIWAY.md example-configs
%license LICENSE
%{_bindir}/%{name}*
%{_datadir}/wayland-sessions/%{name}.desktop
%dir %{_sysconfdir}/xdg/xdg-%{name}
%config(noreplace) %{_sysconfdir}/xdg/xdg-%{name}/%{name}-shell.config


%changelog
* Tue Oct 08 2024 Neal Gompa <neal@gompa.dev> - 24.09-2
- Add patches for miriway-run

* Tue Oct 01 2024 Neal Gompa <ngompa@fedoraproject.org> - 24.09-1
- Update to 24.09

* Sat Jun 15 2024 Neal Gompa <ngompa@fedoraproject.org> - 0^git20240613.2e88df7-1
- Bump to new git snapshot

* Mon Mar 11 2024 Neal Gompa <ngompa@fedoraproject.org> - 0^git20240306.d58ec46-1
- Intial package
